#pragma once

#include <GL/glew.h>
#include <vector>

#include "glm/glm.hpp"

class Orbit
{
public:
    Orbit(int vertexCount);
    void render();

    glm::vec3 getPosition(const float meanAnomaly);
    glm::vec3 getTangent(const float meanAnomaly);

    ~Orbit(); 
private:
    const float _pi = 3.14159265359;

    GLuint _vbo;
    GLuint _vao;

    std::vector<float> _vertices;
    std::vector<float> _keplerianElements;
};
